;; scsh-packages.scm -- Scsh package definitions for pg.scm
;;
;;     Copyright (C) 1999  Eric Marsden
;;     Copyright (C) 2006, 2007  Emilio Lopes
;;   
;;     This library is free software; you may redistribute it and/or
;;     modify it under the terms of the GNU Library General Public
;;     License as published by the Free Software Foundation; either
;;     version 2 of the License, or (at your option) any later version.
;;   
;;     This library is distributed in the hope that it will be useful,
;;     but WITHOUT ANY WARRANTY; without even the implied warranty of
;;     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;;     Library General Public License for more details.
;;   
;;     You should have received a copy of the GNU Library General Public
;;     License along with this library; if not, write to the Free
;;     Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
;;
;; Please send suggestions and bug reports to <eclig@gmx.net>.

(define-structure pg postgres-interface
  (open srfi-9
        srfi-11
        srfi-13
        srfi-14
        (modify srfi-19 (prefix srfi-19:))
        srfi-23
        bitwise                         ; srfi-60

        pg-scsh

        (modify ascii
                (rename (char->ascii char->integer)
                        (ascii->char integer->char)))
        (modify scheme
                (hide char->integer)
                (hide integer->char)))
  (files pg))

(define-structure pg-scsh pg-system-interface
  (open sockets
        md5
        (subset scsh (crypt))
        let-opt
        i/o
        formats
        scheme)
  (files pg-scsh))
;; EOF
